#include "gpuVertexUsseBuffer.hpp"
#include "gpuMemory.hpp"

namespace render::kernel
{

GpuVertexUsseBuffer::GpuVertexUsseBuffer( size_t size)
{
    this->data = gpuVertexUsseAllocator(size, &this->uid, &this->offset);
}

GpuVertexUsseBuffer::~GpuVertexUsseBuffer()
{
    gpuVertexUsseFree(this->uid);
}

} // namespace render::kernel